<template>
  <div style="margin: auto;padding: 60px 15px" v-if="isErpdActive && !getCatalogs.length"
       v-html="$t('message.catalogs.erpdEmpty')">
  </div>
</template>

<script>
import {mapGetters} from "vuex";

export default {
  name: "CataloguesListInfos",
  computed: {
    ...mapGetters("catalogs", ["getCatalogs"]),
    isErpdActive() {
      const cat = 'erpd';
      const sc = this.$route.query.superCatalog;
      if (sc === cat) return true;
      return sc?.constructor === Array && sc.length > 0 && sc[0] === cat;
    }
  }
}
</script>

<style scoped>

</style>
